Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## toxi.geom.mesh
Class MaterialiseSTLColorModel

    java.lang.Object
      toxi.geom.mesh.MaterialiseSTLColorModel

All Implemented Interfaces:
  STLColorModel

    public class MaterialiseSTLColorModel

extends java.lang.Object
implements STLColorModel

Constructor Summary
`MaterialiseSTLColorModel(int rgb)`
`MaterialiseSTLColorModel(int rgb, boolean enableFacets)`

Method Summary
`void` | `enableFacetColors(boolean enabled)`
`boolean` | `facetColorsEnabled()`
`void` | `formatHeader(byte[] header)`
`int` | `formatRGB(int rgb)`
`int` | `getBaseColor()`
`int` | `getDefaultRGB()`
`void` | `setBaseColor(int baseColor)`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### MaterialiseSTLColorModel

    public MaterialiseSTLColorModel(int rgb)

### MaterialiseSTLColorModel

    public MaterialiseSTLColorModel(int rgb,
                                    boolean enableFacets)

Method Detail

### enableFacetColors

    public void enableFacetColors(boolean enabled)

  Parameters:
    `enabled` - the useFacetColors to set

### facetColorsEnabled

    public boolean facetColorsEnabled()

  Returns:
    the useFacetColors

### formatHeader

    public void formatHeader(byte[] header)

  Specified by:
    `formatHeader` in interface `STLColorModel`

### formatRGB

    public int formatRGB(int rgb)

  Specified by:
    `formatRGB` in interface `STLColorModel`

### getBaseColor

    public int getBaseColor()

  Returns:
    the baseColor

### getDefaultRGB

    public int getDefaultRGB()

  Specified by:
    `getDefaultRGB` in interface `STLColorModel`

### setBaseColor

    public void setBaseColor(int baseColor)

  Parameters:
    `baseColor` - the baseColor to set

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD